/** Reset some basic elements */
body, h1, h2, h3, h4, h5, h6, p, blockquote, pre, hr, dl, dd, ol, ul, figure { margin: 0; padding: 0; }

/** Basic styling */
body { font: 400 16px/1.5 "Roboto", serif; color: #555; background-color: #ffffff; -webkit-text-size-adjust: 100%; -webkit-font-feature-settings: "kern" 1; -moz-font-feature-settings: "kern" 1; -o-font-feature-settings: "kern" 1; font-feature-settings: "kern" 1; font-kerning: normal; margin-top: 50px; }

/** Set `margin-bottom` to maintain vertical rhythm */
p, summary { margin-bottom: 8px; }

h1, h2, h3, h4, h5, h6, blockquote, pre, ul, ol, dl, figure, .highlight { margin-bottom: 2px; }

/** Figures */
figure > img { display: block; }

figcaption { font-size: 14px; }

/** Lists */
ul, ol { margin-left: 20px; }

li > ul, li > ol { margin-bottom: 0; }

/** Headings */
h1, h2, h3, h4, h5, h6 { font-weight: 400; }

h1 { color: black; }

/** Links */
a { color: #0a6c3e; text-decoration: none; }
a:hover { color: black; text-decoration: none; }

p.mac-store a { -webkit-border-radius: 16; -moz-border-radius: 16; font-size: small; border-radius: 12px; color: #ffffff; background: #0a6c3e; padding: 3px 15px; text-decoration: none; }
p.mac-store a:hover { color: #ffffff; background: #0c834b; }
p.mac-store a span { padding-right: 10px; display: inline-block; width: 16px; vertical-align: middle; }

/** Blockquotes */
blockquote { color: #828282; border-left: 4px solid #e8e8e8; padding-left: 10px; font-size: 18px; letter-spacing: -1px; font-style: italic; }
blockquote > :last-child { margin-bottom: 0; }

div.go-home { position: fixed; top: 10px; left: 10px; }
div.go-home svg { padding-right: 5px; display: inline-block; width: 32px; vertical-align: middle; }

/** Code formatting */
pre, code { font-size: 15px; border: 1px solid #e8e8e8; border-radius: 3px; background-color: #dedede; }

code { padding: 1px 5px; }

pre { padding: 8px 12px; overflow-x: auto; }
pre > code { border: 0; padding-right: 0; padding-left: 0; }

/** index.html */
div.home-page { text-align: center; padding-top: 80px; }
div.home-page img.photo { border-radius: 50%; }
div.home-page h1 { font-size: 50px; }
div.home-page p.work { margin-top: 30px; }
div.home-page p.work a { padding: 0px 15px; }
div.home-page p.work a span { padding-right: 5px; display: inline-block; width: 16px; vertical-align: middle; }
div.home-page p.social { margin-top: 20px; }
div.home-page p.social a { padding: 0px 5px; }
div.home-page p.social a span { display: inline-block; width: 25px; vertical-align: middle; }

/** My Apps Page */
div.my-apps header { font-size: 50px; text-align: center; padding-bottom: 50px; }
div.my-apps section { padding: 50px 0px; border-top: 1px solid #dad9d9; }
div.my-apps section h2 { padding: 0px; margin: 0px; }
div.my-apps section p.sub-title { font-size: 14px; }

/** Wrapper */
.wrapper { max-width: -webkit-calc(800px - (20px * 2)); max-width: calc(800px - (20px * 2)); margin-right: auto; margin-left: auto; padding-right: 20px; padding-left: 20px; }
@media screen and (max-width: 800px) { .wrapper { max-width: -webkit-calc(800px - (20px)); max-width: calc(800px - (20px)); padding-right: 10px; padding-left: 10px; } }

/** Clearfix */
.wrapper:after { content: ""; display: table; clear: both; }

@media screen and (max-width: 600px) { .footer-col { float: none; width: -webkit-calc(100% - (20px / 2)); width: calc(100% - (20px / 2)); } }
/** Page content */
.page-content { padding: 20px 0; }

.post-list { margin-left: 0; list-style: none; }
.post-list > li { margin-bottom: 20px; }

.post-meta { font-size: 14px; color: #828282; }

.post-link { display: block; font-size: 24px; }

/** Posts */
.post-header { margin-bottom: 20px; }

.post-title { font-size: 42px; letter-spacing: -1px; line-height: 1; }
@media screen and (max-width: 800px) { .post-title { font-size: 36px; } }

.post-content { margin-bottom: 20px; }
.post-content h2 { font-size: 32px; font-weight: bold; margin-top: 20px; border-bottom: 1px solid #c7c7c7; }
@media screen and (max-width: 800px) { .post-content h2 { font-size: 28px; } }
.post-content h3 { font-size: 26px; margin-top: 10px; }
@media screen and (max-width: 800px) { .post-content h3 { font-size: 22px; } }
.post-content h4 { font-size: 20px; margin-top: 5px; }
@media screen and (max-width: 800px) { .post-content h4 { font-size: 18px; } }

.post-footer { text-align: center; margin-top: 50px; }

/** Syntax highlighting styles */
.highlight { background: #fff; }
.highlighter-rouge .highlight { background: #eef; }
.highlight .c { color: #998; font-style: italic; }
.highlight .err { color: #a61717; background-color: #e3d2d2; }
.highlight .k { font-weight: bold; }
.highlight .o { font-weight: bold; }
.highlight .cm { color: #998; font-style: italic; }
.highlight .cp { color: #999; font-weight: bold; }
.highlight .c1 { color: #998; font-style: italic; }
.highlight .cs { color: #999; font-weight: bold; font-style: italic; }
.highlight .gd { color: #000; background-color: #fdd; }
.highlight .gd .x { color: #000; background-color: #faa; }
.highlight .ge { font-style: italic; }
.highlight .gr { color: #a00; }
.highlight .gh { color: #999; }
.highlight .gi { color: #000; background-color: #dfd; }
.highlight .gi .x { color: #000; background-color: #afa; }
.highlight .go { color: #888; }
.highlight .gp { color: #555; }
.highlight .gs { font-weight: bold; }
.highlight .gu { color: #aaa; }
.highlight .gt { color: #a00; }
.highlight .kc { font-weight: bold; }
.highlight .kd { font-weight: bold; }
.highlight .kp { font-weight: bold; }
.highlight .kr { font-weight: bold; }
.highlight .kt { color: #458; font-weight: bold; }
.highlight .m { color: #099; }
.highlight .s { color: #d14; }
.highlight .na { color: #008080; }
.highlight .nb { color: #0086B3; }
.highlight .nc { color: #458; font-weight: bold; }
.highlight .no { color: #008080; }
.highlight .ni { color: #800080; }
.highlight .ne { color: #900; font-weight: bold; }
.highlight .nf { color: #900; font-weight: bold; }
.highlight .nn { color: #555; }
.highlight .nt { color: #000080; }
.highlight .nv { color: #008080; }
.highlight .ow { font-weight: bold; }
.highlight .w { color: #bbb; }
.highlight .mf { color: #099; }
.highlight .mh { color: #099; }
.highlight .mi { color: #099; }
.highlight .mo { color: #099; }
.highlight .sb { color: #d14; }
.highlight .sc { color: #d14; }
.highlight .sd { color: #d14; }
.highlight .s2 { color: #d14; }
.highlight .se { color: #d14; }
.highlight .sh { color: #d14; }
.highlight .si { color: #d14; }
.highlight .sx { color: #d14; }
.highlight .sr { color: #009926; }
.highlight .s1 { color: #d14; }
.highlight .ss { color: #990073; }
.highlight .bp { color: #999; }
.highlight .vc { color: #008080; }
.highlight .vg { color: #008080; }
.highlight .vi { color: #008080; }
.highlight .il { color: #099; }
